Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 438561 - Review Request: isight-firmware-tools - Firmware extraction tools for Apple Built-in iSight camera
Review Request: isight-firmware-tools - Firmware extraction tools for Apple B...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-21 18:25 EDT by Debarshi Ray
Modified: 2008-03-26 01:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 01:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2008-03-21 18:25:23 EDT
Spec URL: http://rishi.fedorapeople.org/isight-firmware-tools.spec
SRPM URL: http://rishi.fedorapeople.org/isight-firmware-tools-1.0.2-1.fc8.src.rpm

Description:
iSight Firmware Tools provide tools to manipulate firmware for Built-in iSight
cameras found on Apple machines since iMac G5 (November 2005).
Comment 1 Debarshi Ray 2008-03-21 18:25:56 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=525803
Comment 2 Parag AN(पराग) 2008-03-24 07:39:50 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=525803 
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
b8d1e80cf8d47f9aa4f683b995cd359c  isight-firmware-tools-1.0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ install-info scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 4 Debarshi Ray 2008-03-24 16:05:18 EDT
New Package CVS Request
=======================
Package Name: isight-firmware-tools
Short Description: Firmware extraction tools for Apple Built-in iSight camera
Owners: rishi
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-24 20:02:34 EDT
cvs done.
Comment 6 Debarshi Ray 2008-03-26 01:06:13 EDT
Tagged and built for F-8 and Rawhide. F-7 does not have a 2.6.24.x kernel so the
linux-uvc driver might be missing. Will provide for F-7 if there is a demand for it.

Note You need to log in before you can comment on or make changes to this bug.